## rock-master-19.06-ruby-utilrb 3.0.1

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.6)

project(utilrb)
FIND_PACKAGE(Ruby REQUIRED)

ADD_CUSTOM_TARGET(utilrb_ext ALL
  COMMAND rake
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

STRING(REGEX REPLACE ".*lib(32|64)?/?" "lib/" RUBY_EXTENSIONS_INSTALL_DIR ${RUBY_ARCH_DIR})
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/lib/ DESTINATION ${RUBY_EXTENSIONS_INSTALL_DIR}
  PATTERN "utilrb_ext.*" EXCLUDE )
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ext/ DESTINATION ${RUBY_EXTENSIONS_INSTALL_DIR}
  FILES_MATCHING PATTERN "utilrb_ext.*" 
  PATTERN "*.o" EXCLUDE 
  PATTERN "*.cc" EXCLUDE 
  )

=== Makefile ===
default: install
install:
	rake
gems:
	if [ -d ../rtt_gems ]; then gem install ../rtt_gems/*.gem; else gem install rake flexmock rdoc rake-compiler hoe hoe-yard facets; fi
	touch gems
clean:
	rake clean

=== debian/changelog ===
rock-master-19.06-ruby-utilrb (3.0.1-1~xenial) UNRELEASED; urgency=medium

  * Initial release (Closes: #nnnn~xenial)

 -- MAINTAINER <rock-user@rock.dfki.uni-bremen.de>  Thu, 04 Jul 2019 00:00:01 +0200

=== debian/control ===
Source: rock-master-19.06-ruby-utilrb
Section: FIXME
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: <>
Build-Depends: debhelper, gem2deb, , ruby-facets, bundler, dh-autoreconf
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/rock-master-19.06-ruby-utilrb.git
Vcs-Browser: https://salsa.debian.org/ruby-team/rock-master-19.06-ruby-utilrb
Homepage: http://rock-robotics.org
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: rock-master-19.06-ruby-utilrb
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: bundler, ruby-facets
Description: Utilrb is yet another Ruby toolkit, in the spirit of facets
 Utilrb is yet another Ruby toolkit, in the spirit of facets. It includes all
 the standard class extensions I use in other projects.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=nocheck
export DH_RUBY_INSTALL_PREFIX=/opt/rock/master-19.06
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))

master1906_install_dir = /opt/rock/master-19.06
env_setup =  PATH=$(master1906_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master1906_install_dir)/$(rockruby_libdir):$(master1906_install_dir)/$(rockruby_archdir):$(master1906_install_dir)/lib/ruby/vendor_ruby/standard:$(master1906_install_dir)/lib/ruby/vendor_ruby/core:$(master1906_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master1906_install_dir)/lib/pkgconfig:$(master1906_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master1906_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master1906_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master1906_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master1906_install_dir)/lib:$(master1906_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-19.06
env_setup += RUBY_CMAKE_INSTALL_PREFIX=debian/rock-master-19.06-ruby-utilrb/opt/rock/master-19.06

export GEM2DEB_TEST_RUNNER = --check-dependencies

%:
	$(env_setup) dh $@ --buildsystem=ruby --with ruby

=== debian/watch ===
version=3
https://gemwatch.debian.net/utilrb .*/utilrb-(.*).tar.gz
